Skip to content

Teams ​

Teams, members, invites, team API tokens and team secrets.

Base URL: https://api.fjordrun.com. Generated from the OpenAPI document (API version 0.1.0).

List teams ​

GET /api/v1/teams

Authentication: a team API token or personal access token.

Response

200: a list of Team objects.

Example

bash
curl "https://api.fjordrun.com/api/v1/teams" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN"

Create team ​

POST /api/v1/teams

Authentication: a team API token or personal access token.

Request body

FieldTypeRequiredDescription
namestringyesmin length 1, max length 100

Response

201: a Team object.

Example

bash
curl -X POST "https://api.fjordrun.com/api/v1/teams" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"string"}'

Get team ​

GET /api/v1/teams/{tid}

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
tidpathstring (UUID)yes

Response

200: a Team object.

Example

bash
curl "https://api.fjordrun.com/api/v1/teams/$TEAM_ID" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN"

Update team ​

PATCH /api/v1/teams/{tid}

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
tidpathstring (UUID)yes

Request body

FieldTypeRequiredDescription
namestringyesmin length 1, max length 100

Response

200: a Team object.

Example

bash
curl -X PATCH "https://api.fjordrun.com/api/v1/teams/$TEAM_ID" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"string"}'

Delete team ​

DELETE /api/v1/teams/{tid}

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
tidpathstring (UUID)yes

Response

204: no content.

Example

bash
curl -X DELETE "https://api.fjordrun.com/api/v1/teams/$TEAM_ID" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN"

List members ​

GET /api/v1/teams/{tid}/members

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
tidpathstring (UUID)yes

Response

200: a list of Member objects.

Example

bash
curl "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/members" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN"

Update member ​

PATCH /api/v1/teams/{tid}/members/{uid}

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
tidpathstring (UUID)yes
uidpathstring (UUID)yes

Request body

FieldTypeRequiredDescription
role"owner", "admin", "member", "viewer"yes

Response

200: a Member object.

Example

bash
curl -X PATCH "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/members/$MEMBER_ID" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"role":"owner"}'

Remove member ​

DELETE /api/v1/teams/{tid}/members/{uid}

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
tidpathstring (UUID)yes
uidpathstring (UUID)yes

Response

204: no content.

Example

bash
curl -X DELETE "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/members/$MEMBER_ID" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN"

List invites ​

GET /api/v1/teams/{tid}/invites

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
tidpathstring (UUID)yes

Response

200: a list of Invite objects.

Example

bash
curl "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/invites" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN"

Create invite ​

POST /api/v1/teams/{tid}/invites

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
tidpathstring (UUID)yes

Request body

FieldTypeRequiredDescription
emailstringyes
role"owner", "admin", "member", "viewer"nodefault "member"

Response

201: an Invite object.

Example

bash
curl -X POST "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/invites" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"email":"string"}'

Revoke an invite ​

DELETE /api/v1/invites/{iid}

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
iidpathstring (UUID)yes

Response

204: no content.

Example

bash
curl -X DELETE "https://api.fjordrun.com/api/v1/invites/$INVITE_ID" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN"

Get an invite ​

GET /api/v1/invites/{token}

Authentication: none.

Parameters

NameInTypeRequiredDescription
tokenpathstringyes

Response

200: an Invite object.

Example

bash
curl "https://api.fjordrun.com/api/v1/invites/$INVITE_TOKEN"

Accept an invite ​

POST /api/v1/invites/{token}/accept

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
tokenpathstringyes

Response

200: a Team object.

Example

bash
curl -X POST "https://api.fjordrun.com/api/v1/invites/$INVITE_TOKEN/accept" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN"

Team activity ​

GET /api/v1/teams/{tid}/activity

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
tidpathstring (UUID)yes
limitqueryintegernomin 1, max 200, default 50

Response

200: a list of Activity objects.

Example

bash
curl "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/activity" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN"

List team API tokens ​

GET /api/v1/teams/{tid}/tokens

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
tidpathstring (UUID)yes

Response

200: a list of Team API token objects.

Example

bash
curl "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/tokens" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN"

Create a team API token ​

POST /api/v1/teams/{tid}/tokens

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
tidpathstring (UUID)yes

Request body

FieldTypeRequiredDescription
namestringyesmin length 1, max length 100
project_idstring (UUID)nocan be null

Response

201: a Team API token object.

Example

bash
curl -X POST "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/tokens" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"string"}'

Delete a team API token ​

DELETE /api/v1/tokens/{token_id}

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
token_idpathstring (UUID)yes

Response

204: no content.

Example

bash
curl -X DELETE "https://api.fjordrun.com/api/v1/tokens/$TOKEN_ID" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN"

List secrets ​

GET /api/v1/teams/{tid}/secrets

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
tidpathstring (UUID)yes

Response

200: a list of Secret objects.

Example

bash
curl "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/secrets" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN"

Create secret ​

POST /api/v1/teams/{tid}/secrets

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
tidpathstring (UUID)yes

Request body

FieldTypeRequiredDescription
namestringyesmin length 1, max length 100
valuestringyesmax length 65536

Response

201: a Secret object.

Example

bash
curl -X POST "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/secrets" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"string","value":"string"}'

Update a team secret ​

PUT /api/v1/secrets/{sid}

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
sidpathstring (UUID)yes

Request body

FieldTypeRequiredDescription
valuestringyesmax length 65536

Response

200: a Secret object.

Example

bash
curl -X PUT "https://api.fjordrun.com/api/v1/secrets/$SECRET_ID" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"value":"string"}'

Delete a team secret ​

DELETE /api/v1/secrets/{sid}

Authentication: a team API token or personal access token.

Parameters

NameInTypeRequiredDescription
sidpathstring (UUID)yes

Response

204: no content.

Example

bash
curl -X DELETE "https://api.fjordrun.com/api/v1/secrets/$SECRET_ID" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN"

Request objects ​

InviteIn ​

FieldTypeRequiredDescription
emailstringyes
role"owner", "admin", "member", "viewer"nodefault "member"

RoleIn ​

FieldTypeRequiredDescription
role"owner", "admin", "member", "viewer"yes

SecretIn ​

FieldTypeRequiredDescription
namestringyesmin length 1, max length 100
valuestringyesmax length 65536

SecretValueIn ​

FieldTypeRequiredDescription
valuestringyesmax length 65536

TeamIn ​

FieldTypeRequiredDescription
namestringyesmin length 1, max length 100

TokenIn ​

FieldTypeRequiredDescription
namestringyesmin length 1, max length 100
project_idstring (UUID)nocan be null

Fjordrun is hosted in the EU (Hetzner, Nuremberg, Germany). Private beta.